﻿package  {
	
	import flash.display.MovieClip;
	
	
	public class Level extends MovieClip {
		
		public var realWorld:MovieClip;
		public var chaosWorld:MovieClip;
		
		public function Level(realWorld:Class, chaosWorld:Class, X:Number = 0, Y:Number = 0) {
			this.realWorld = new realWorld();
			this.chaosWorld = new chaosWorld();
			this.addChild(this.chaosWorld);
			this.addChild(this.realWorld);
		}
		
		public function getObstaclesChaosWorld():MovieClip{
			return chaosWorld.Obstacles;
		}
		
		public function getObstaclesRealWorld():MovieClip{
			return realWorld.Obstacles;
		}
		
		public function getCrystalsRealWorld():MovieClip{
			return realWorld.Crystals;
		}
		
		public function getCrystalsChaosWorld():MovieClip{
			return chaosWorld.Crystals;
		}
		
		public function getCrystalChaosWorld(index:uint):MovieClip{
			return chaosWorld.Crystals.getChildAt(index);
		}
		
		public function getCrystalsAmountChaosWorld():uint{
			return chaosWorld.Crystals.numChildren;
		}
		
		public function getCrystalRealWorld(index:uint):MovieClip{
			return realWorld.Crystals.getChildAt(index);
		}
		public function getCrystalsAmountRealworld():uint{
			return realWorld.Crystals.numChildren;
		}

	}
	
}
